Index: unk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446/NetronForm.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446/NetronForm.Designer.cs	(revision 2877)
+++ 	(revision )
@@ -1,69 +1,0 @@
-﻿namespace HeuristicLab.Netron {
-  partial class NetronForm {
-    /// <summary>
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary>
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Windows Form Designer generated code
-
-    /// <summary>
-    /// Required method for Designer support - do not modify
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(NetronForm));
-      this.netronVisualization = new HeuristicLab.Netron.NetronVisualization();
-      ((System.ComponentModel.ISupportInitialize)(this.netronVisualization)).BeginInit();
-      this.SuspendLayout();
-      // 
-      // netronVisualization
-      // 
-      this.netronVisualization.AllowDrop = true;
-      this.netronVisualization.AutoScroll = true;
-      this.netronVisualization.BackColor = System.Drawing.Color.DarkGray;
-      this.netronVisualization.BackgroundType = global::Netron.Diagramming.Core.CanvasBackgroundTypes.FlatColor;
-      this.netronVisualization.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.netronVisualization.EnableAddConnection = true;
-      this.netronVisualization.FileName = "";
-      this.netronVisualization.Location = new System.Drawing.Point(0, 0);
-      this.netronVisualization.Magnification = new System.Drawing.SizeF(71F, 71F);
-      this.netronVisualization.Name = "netronVisualization";
-      this.netronVisualization.Origin = new System.Drawing.Point(0, 0);
-      this.netronVisualization.ShowConnectors = true;
-      this.netronVisualization.ShowRulers = false;
-      this.netronVisualization.Size = new System.Drawing.Size(995, 567);
-      this.netronVisualization.TabIndex = 1;
-      this.netronVisualization.Text = "netronVisualization";
-      // 
-      // Form1
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.ClientSize = new System.Drawing.Size(995, 567);
-      this.Controls.Add(this.netronVisualization);
-      this.Name = "Form1";
-      this.Text = "Form1";
-      ((System.ComponentModel.ISupportInitialize)(this.netronVisualization)).EndInit();
-      this.ResumeLayout(false);
-      this.PerformLayout();
-
-    }
-
-    #endregion
-
-    private HeuristicLab.Netron.NetronVisualization netronVisualization;
-  }
-}
-
Index: unk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446/NetronForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446/NetronForm.cs	(revision 2877)
+++ 	(revision )
@@ -1,82 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Linq;
-using System.Text;
-using System.Windows.Forms;
-using Netron.Diagramming.Core;
-
-namespace HeuristicLab.Netron {
-  public partial class NetronForm : Form {
-    public NetronForm() {
-      InitializeComponent();
-      ClassShape shape1 = new ClassShape();
-      shape1.Location = new Point(200, 200);
-      shape1.Name = "Shape 1";
-      IConnector c1b = shape1.Connectors.Where(c => c.Name == "Bottom connector").First();
-      IConnector c1t = shape1.Connectors.Where(c => c.Name == "Top connector").First();
-
-      ClassShape shape2 = new ClassShape();
-      shape2.Location = new Point(300, 300);
-      shape2.Name = "Shape 2";
-      IConnector c2b = shape2.Connectors.Where(c => c.Name == "Bottom connector").First();
-      IConnector c2t = shape2.Connectors.Where(c => c.Name == "Top connector").First();
-
-      ClassShape shape3 = new ClassShape();
-      shape3.Location = new Point(400, 400);
-      shape3.Name = "Shape 3";
-      IConnector c3b = shape3.Connectors.Where(c => c.Name == "Bottom connector").First();
-      IConnector c3t = shape3.Connectors.Where(c => c.Name == "Top connector").First();
-
-      ClassShape shape4 = new ClassShape();
-      shape4.Location = new Point(500, 500);
-      shape4.Name = "Shape 4";
-      IConnector c4b = shape4.Connectors.Where(c => c.Name == "Bottom connector").First();
-      IConnector c4t = shape4.Connectors.Where(c => c.Name == "Top connector").First();
-
-      ClassShape shape5 = new ClassShape();
-      shape5.Location = new Point(600, 600);
-      shape5.Name = "Shape 5";
-      IConnector c5b = shape5.Connectors.Where(c => c.Name == "Bottom connector").First();
-      IConnector c5t = shape5.Connectors.Where(c => c.Name == "Top connector").First();
-
-      Connection c1 = new Connection(c1b.Point, c2t.Point, netronVisualization.Controller.Model);
-      c1b.AttachConnector(c1.From);
-      c2t.AttachConnector(c1.To);
-
-      Connection c2 = new Connection(c1b.Point, c3t.Point, netronVisualization.Controller.Model);
-      c1b.AttachConnector(c2.From);
-      c3t.AttachConnector(c2.To);
-
-      Connection c3 = new Connection(c2b.Point, c4t.Point, netronVisualization.Controller.Model);
-      c2b.AttachConnector(c3.From);
-      c4t.AttachConnector(c3.To);
-
-      Connection c4 = new Connection(c3b.Point, c4t.Point, netronVisualization.Controller.Model);
-      c3b.AttachConnector(c4.From);
-      c4t.AttachConnector(c4.To);
-
-      Connection c5 = new Connection(c4b.Point, c5t.Point, netronVisualization.Controller.Model);
-      c4b.AttachConnector(c5.From);
-      c5t.AttachConnector(c5.To);
-
-      netronVisualization.Controller.Model.AddShape(shape1);
-      netronVisualization.Controller.Model.AddShape(shape2);
-      netronVisualization.Controller.Model.AddShape(shape3);
-      netronVisualization.Controller.Model.AddShape(shape4);
-      netronVisualization.Controller.Model.AddShape(shape5);
-
-      netronVisualization.Controller.Model.AddConnection(c1);
-      netronVisualization.Controller.Model.AddConnection(c2);
-      netronVisualization.Controller.Model.AddConnection(c3);
-      netronVisualization.Controller.Model.AddConnection(c4);
-      netronVisualization.Controller.Model.AddConnection(c5);
-
-      netronVisualization.Controller.View.Invalidate();
-      netronVisualization.Controller.Model.LayoutRoot = shape1;
-      netronVisualization.Controller.RunActivity("Standard TreeLayout");
-    }
-  }
-}
Index: unk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446/NetronTestApplication.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446/NetronTestApplication.cs	(revision 2877)
+++ 	(revision )
@@ -1,15 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-using System.Windows.Forms;
-
-namespace HeuristicLab.Netron {
-  [Application("Netron Test Application 3.3", "A test application for netron visualizations.")]
-  internal class NetronTestApplication : ApplicationBase {
-    public override void Run() {
-      Application.Run(new NetronForm());
-    }
-  }
-}
Index: unk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/ConnectionInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/ConnectionInfo.cs	(revision 2877)
+++ 	(revision )
@@ -1,51 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Core;
-using Netron.Diagramming.Core;
-using System.Drawing;
-
-namespace HeuristicLab.Operators.Views.GraphVisualization {
-  internal class ConnectionInfo : Item, IConnectionInfo {
-    #region static fields
-    private static LinePenStyle penStyle;
-    static ConnectionInfo() {
-      ConnectionInfo.penStyle = new LinePenStyle();
-      ConnectionInfo.penStyle.EndCap = System.Drawing.Drawing2D.LineCap.ArrowAnchor;
-    }
-    #endregion
-
-    public ConnectionInfo()
-      : base() {
-    }
-
-    private Point from;
-    public Point From {
-      get { return this.from; }
-      set {
-        if (this.from != value) {
-          this.from = value;
-          this.OnChanged();
-        }
-      }
-    }
-
-    private Point to;
-    public Point To {
-      get { return this.to; }
-      set {
-        if (this.to != value) {
-          this.to = value;
-          this.OnChanged();
-        }
-      }
-    }
-
-    public IConnection CreateConnection() {
-      IConnection connection = new Connection(this.From, this.To);
-      connection.PenStyle = ConnectionInfo.penStyle;
-      return connection;
-    }
-  }
-}
Index: unk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/IConnectionInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/IConnectionInfo.cs	(revision 2877)
+++ 	(revision )
@@ -1,38 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-
-using System;
-using System.Collections.Generic;
-using System.Drawing;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Core;
-using Netron.Diagramming.Core;
-
-namespace HeuristicLab.Operators.Views.GraphVisualization {
-  public interface IConnectionInfo :IItem{
-    Point From {get;set;}
-    Point To { get; set; }
-
-    IConnection CreateConnection();
-  }
-}
Index: unk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualizationView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualizationView.Designer.cs	(revision 2877)
+++ 	(revision )
@@ -1,69 +1,0 @@
-﻿namespace HeuristicLab.Operators.Views.GraphVisualization {
-  partial class OperatorGraphVisualizationView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(OperatorGraphVisualizationView));
-      this.graphVisualization = new HeuristicLab.Netron.NetronVisualization();
-      ((System.ComponentModel.ISupportInitialize)(this.graphVisualization)).BeginInit();
-      this.SuspendLayout();
-      // 
-      // netronVisualization1
-      // 
-      this.graphVisualization.AllowDrop = true;
-      this.graphVisualization.AutoScroll = true;
-      this.graphVisualization.BackColor = System.Drawing.Color.DarkGray;
-      this.graphVisualization.BackgroundType = global::Netron.Diagramming.Core.CanvasBackgroundTypes.FlatColor;
-      this.graphVisualization.Dock = System.Windows.Forms.DockStyle.Fill;      
-      this.graphVisualization.EnableAddConnection = true;
-      this.graphVisualization.FileName = "";
-      this.graphVisualization.Location = new System.Drawing.Point(0, 0);
-      this.graphVisualization.Magnification = new System.Drawing.SizeF(71F, 71F);
-      this.graphVisualization.Name = "graphVisualization";
-      this.graphVisualization.Origin = new System.Drawing.Point(0, 0);
-      this.graphVisualization.ShowConnectors = true;
-      this.graphVisualization.ShowRulers = false;
-      this.graphVisualization.Size = new System.Drawing.Size(602, 432);
-      this.graphVisualization.TabIndex = 0;
-      this.graphVisualization.Text = "graphVisualization";
-      // 
-      // OperatorGraphVisualizationView
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.graphVisualization);
-      this.Name = "OperatorGraphVisualizationView";
-      this.Size = new System.Drawing.Size(602, 432);
-      ((System.ComponentModel.ISupportInitialize)(this.graphVisualization)).EndInit();
-      this.ResumeLayout(false);
-
-    }
-
-    #endregion
-
-    private HeuristicLab.Netron.NetronVisualization graphVisualization;
-
-
-
-  }
-}
Index: unk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualizationView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualizationView.cs	(revision 2877)
+++ 	(revision )
@@ -1,227 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
-using System.Windows.Forms;
-using HeuristicLab.MainForm;
-using HeuristicLab.Core;
-using HeuristicLab.Core.Views;
-using Netron.Diagramming.Core;
-using HeuristicLab.Parameters;
-
-namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [Content(typeof(IOperator), false)]
-  public partial class OperatorGraphVisualizationView : ItemView {
-    private Dictionary<IOperator, IShape> operatorShapeMapping;
-    private Dictionary<KeyValuePair<IOperator, IValueParameter<IOperator>>, IConnection> connectionMapping;
-    private HashSet<IValueParameter<IOperator>> parameters;
-    /// <summary>
-    /// Initializes a new instance of <see cref="OperatorGraphVisualizationView"/> with caption "Operator Graph".
-    /// </summary>
-    public OperatorGraphVisualizationView() {
-      InitializeComponent();
-      Caption = "Operator Graph";
-      this.operatorShapeMapping = new Dictionary<IOperator, IShape>();
-      this.connectionMapping = new Dictionary<KeyValuePair<IOperator, IValueParameter<IOperator>>, IConnection>();
-      this.parameters = new HashSet<IValueParameter<IOperator>>();
-
-      this.graphVisualization.Controller.Model.OnEntityRemoved += new EventHandler<EntityEventArgs>(Model_OnEntityRemoved);
-    }
-
-    /// <summary>
-    /// Initializes a new instance of <see cref="OperatorGraphVisualizationView"/> 
-    /// with the given <paramref name="operatorGraph"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="OperatorGraphView()"/>.</remarks>
-    /// <param name="operatorGraph">The operator graph to represent visually.</param>
-    public OperatorGraphVisualizationView(IOperator content)
-      : this() {
-      this.Content = content;
-    }
-
-    /// <summary>
-    /// Gets or sets the operator graph to represent visually.
-    /// </summary>
-    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
-    /// No own data storage present.</remarks>
-    public new IOperator Content {
-      get { return (IOperator)base.Content; }
-      set { base.Content = value; }
-    }
-
-    private IModel GraphModel {
-      get { return this.graphVisualization.Controller.Model; }
-    }
-
-
-    protected override void OnContentChanged() {
-      base.OnContentChanged();
-      this.ClearGraph();
-
-      this.CreateGraph(null, new OperatorParameter(string.Empty, this.Content));
-      foreach (IShape shape in this.operatorShapeMapping.Values)
-        this.GraphModel.AddShape(shape);
-
-      foreach (IConnection connection in this.connectionMapping.Values)
-        this.GraphModel.AddConnection(connection);
-
-      if (this.Content == null)
-        this.graphVisualization.Controller.Model.LayoutRoot = null;
-      else
-        this.graphVisualization.Controller.Model.LayoutRoot = this.operatorShapeMapping[this.Content];
-      this.RelayoutOperatorGraph();
-    }
-
-    private void opParam_ValueChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(opParam_ValueChanged), sender, e);
-      else {
-        this.OnContentChanged();
-      }
-    }
-
-    private void ClearGraph() {
-      this.GraphModel.Clear();
-      foreach (IValueParameter<IOperator> opParam in this.parameters)
-        opParam.ValueChanged -= opParam_ValueChanged;
-
-      this.operatorShapeMapping.Clear();
-      this.parameters.Clear();
-      this.connectionMapping.Clear();
-    }
-
-
-
-    private void CreateGraph(IOperator parent, IValueParameter<IOperator> op) {
-      if (op == null || op.Value == null)
-        return;
-
-      IShape shape;
-      if (!this.operatorShapeMapping.ContainsKey(op.Value)) {
-        shape = CreateOperatorShape(op.Value);
-        this.operatorShapeMapping[op.Value] = shape;
-
-        foreach (IParameter param in op.Value.Parameters) {
-          IValueParameter<IOperator> opParam = param as IValueParameter<IOperator>;
-          if (opParam != null) {
-            HandleOperatorParameter(opParam);
-            this.CreateGraph(op.Value, opParam);
-          }
-        }
-      }
-
-      if (parent != null)
-        ConnectShapes(parent, op);
-    }
-
-    private void HandleOperatorParameter(IValueParameter<IOperator> opParam) {
-      if (opParam == null)
-        return;
-      opParam.ValueChanged += new EventHandler(opParam_ValueChanged);
-      parameters.Add(opParam);
-    }
-
-    private IConnection ConnectShapes(IOperator parent, IValueParameter<IOperator> opParam) {
-      IShape operatorShape = this.operatorShapeMapping[opParam.Value];
-      IShape parentShape = this.operatorShapeMapping[parent];
-      IConnector operatorConnector = parentShape.Connectors.Where(c => c.Name == "Bottom connector").First();
-      IConnector parentConnector = operatorShape.Connectors.Where(c => c.Name == "Top connector").First();
-
-      IConnection connection = new Connection(parentConnector.Point, operatorConnector.Point);
-      parentConnector.AttachConnector(connection.From);
-      operatorConnector.AttachConnector(connection.To);
-
-      this.connectionMapping[new KeyValuePair<IOperator, IValueParameter<IOperator>>(parent, opParam)] = connection;
-      return connection;
-    }
-
-    private IShape CreateOperatorShape(IOperator op) {
-      ClassShape shape = new ClassShape();
-      shape.Name = op.Name;
-      shape.Text = op.Name;
-      shape.Title = op.Name;
-      shape.SubTitle = op.GetType().ToString();
-
-      return shape;
-    }
-
-    private void Model_OnEntityRemoved(object sender, EntityEventArgs e) {
-      IShape shape = e.Entity as IShape;
-      if (shape != null) {
-        IOperator op = operatorShapeMapping.Where(os => os.Value == shape).First().Key;
-        if (op == this.Content)
-          this.Content = null;
-        else {
-          //clear all connections to the removed operator
-          IEnumerable<IValueParameter<IOperator>> parentOperator = this.connectionMapping.Where(cs => cs.Key.Value.Value == op).Select(x => x.Key.Value);
-          foreach(IValueParameter<IOperator> opParam in parentOperator.ToArray())
-            opParam.Value = null;
-
-          //remove connections from graph view
-          IEnumerable<IConnection> connections = this.connectionMapping.Where(cs => cs.Key.Value.Value == op).Select(x => x.Value);
-          foreach (IConnection connection in connections)
-            this.GraphModel.Remove(connection);
-
-          this.graphVisualization.Invalidate();
-        }
-
-
-      }
-    }
-
-    #region methods for toolbar items
-
-    internal void RelayoutOperatorGraph() {
-      if (this.operatorShapeMapping.Count > 0 && this.connectionMapping.Count > 0) { //otherwise the layout does not work
-        this.graphVisualization.Invalidate();
-        this.graphVisualization.Controller.RunActivity("Standard TreeLayout");
-      }
-    }
-
-    internal void ActivateZoomAreaTool() {
-      this.graphVisualization.Controller.ActivateTool(ControllerBase.ZoomAreaToolName);
-    }
-
-    internal void ActivateZoomInTool() {
-      this.graphVisualization.Controller.ActivateTool(ControllerBase.ZoomInToolName);
-    }
-
-    internal void ActivateZoomOutTool() {
-      this.graphVisualization.Controller.ActivateTool(ControllerBase.ZoomOutToolName);
-    }
-
-    internal void ActivatePanTool() {
-      this.graphVisualization.Controller.ActivateTool(ControllerBase.PanToolName);
-    }
-
-    internal void ActivateSelectTool() {
-      this.graphVisualization.Controller.ActivateTool(ControllerBase.SelectionToolName);
-    }
-
-    #endregion
-  }
-}