Index: /trunk/sources/HeuristicLab 3.3.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.3.sln	(revision 2887)
+++ /trunk/sources/HeuristicLab 3.3.sln	(revision 2888)
@@ -44,6 +44,4 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Selection.OffspringSelection-3.3", "HeuristicLab.Selection.OffspringSelection\3.3\HeuristicLab.Selection.OffspringSelection-3.3.csproj", "{81609E8A-9757-4865-8B89-0B6603F769E8}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SGA-3.3", "HeuristicLab.SGA\3.3\HeuristicLab.SGA-3.3.csproj", "{4C3305C4-E440-4EAD-B218-68D77AE51543}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.TestFunctions-3.3", "HeuristicLab.TestFunctions\3.3\HeuristicLab.TestFunctions-3.3.csproj", "{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}"
@@ -152,6 +150,4 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SharpDevelop-3.1.1.5327", "HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327\HeuristicLab.SharpDevelop-3.1.1.5327.csproj", "{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SGA-3.3.Tests", "HeuristicLab.SGA\3.3\Tests\HeuristicLab.SGA-3.3.Tests.csproj", "{F42F3576-7233-4B28-90F7-36AE15F30F92}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Optimization-3.3", "HeuristicLab.Optimization\3.3\HeuristicLab.Optimization-3.3.csproj", "{14AB8D24-25BC-400C-A846-4627AA945192}"
 EndProject
@@ -160,9 +156,13 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Permutation-3.3.Tests", "HeuristicLab.Permutation\3.3\Tests\HeuristicLab.Permutation-3.3.Tests.csproj", "{4D59BEC9-A69E-4686-B8C9-0E6C073B093E}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SGA.Views-3.3", "HeuristicLab.SGA.Views\3.3\HeuristicLab.SGA.Views-3.3.csproj", "{35A42EE0-A896-4D7A-A99F-8ED9E925F320}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.TSP-3.3", "HeuristicLab.Problems.TSP\3.3\HeuristicLab.Problems.TSP-3.3.csproj", "{600287A3-8714-453E-B875-A05F3EB72315}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.TSP.Views-3.3", "HeuristicLab.Problems.TSP.Views\3.3\HeuristicLab.Problems.TSP.Views-3.3.csproj", "{DF2E61C4-A76D-4315-9D0B-53A077B1AC2C}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Algorithms.SGA-3.3", "HeuristicLab.Algorithms.SGA\3.3\HeuristicLab.Algorithms.SGA-3.3.csproj", "{4C3305C4-E440-4EAD-B218-68D77AE51543}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Algorithms.SGA-3.3.Tests", "HeuristicLab.Algorithms.SGA\3.3\Tests\HeuristicLab.Algorithms.SGA-3.3.Tests.csproj", "{F42F3576-7233-4B28-90F7-36AE15F30F92}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Algorithms.SGA.Views-3.3", "HeuristicLab.Algorithms.SGA.Views\3.3\HeuristicLab.Algorithms.SGA.Views-3.3.csproj", "{35A42EE0-A896-4D7A-A99F-8ED9E925F320}"
 EndProject
 Global
@@ -379,16 +379,4 @@
 		{81609E8A-9757-4865-8B89-0B6603F769E8}.Release|x86.ActiveCfg = Release|x86
 		{81609E8A-9757-4865-8B89-0B6603F769E8}.Release|x86.Build.0 = Release|x86
-		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|x64.ActiveCfg = Debug|x64
-		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|x64.Build.0 = Debug|x64
-		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|x86.ActiveCfg = Debug|x86
-		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|x86.Build.0 = Debug|x86
-		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|Any CPU.Build.0 = Release|Any CPU
-		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|x64.ActiveCfg = Release|x64
-		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|x64.Build.0 = Release|x64
-		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|x86.ActiveCfg = Release|x86
-		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|x86.Build.0 = Release|x86
 		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -657,12 +645,4 @@
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Release|x86.ActiveCfg = Release|x86
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Release|x86.Build.0 = Release|x86
-		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Debug|x86.ActiveCfg = Debug|Any CPU
-		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Release|Any CPU.Build.0 = Release|Any CPU
-		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Release|x64.ActiveCfg = Release|Any CPU
-		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Release|x86.ActiveCfg = Release|Any CPU
 		{14AB8D24-25BC-400C-A846-4627AA945192}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{14AB8D24-25BC-400C-A846-4627AA945192}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -689,12 +669,4 @@
 		{4D59BEC9-A69E-4686-B8C9-0E6C073B093E}.Release|x64.ActiveCfg = Release|Any CPU
 		{4D59BEC9-A69E-4686-B8C9-0E6C073B093E}.Release|x86.ActiveCfg = Release|Any CPU
-		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Debug|x86.ActiveCfg = Debug|Any CPU
-		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Release|Any CPU.Build.0 = Release|Any CPU
-		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Release|x64.ActiveCfg = Release|Any CPU
-		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Release|x86.ActiveCfg = Release|Any CPU
 		{600287A3-8714-453E-B875-A05F3EB72315}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{600287A3-8714-453E-B875-A05F3EB72315}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -717,4 +689,32 @@
 		{DF2E61C4-A76D-4315-9D0B-53A077B1AC2C}.Release|x64.ActiveCfg = Release|Any CPU
 		{DF2E61C4-A76D-4315-9D0B-53A077B1AC2C}.Release|x86.ActiveCfg = Release|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|x64.ActiveCfg = Debug|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|x64.Build.0 = Debug|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|x86.ActiveCfg = Debug|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|x86.Build.0 = Debug|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|Any CPU.Build.0 = Release|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|x64.ActiveCfg = Release|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|x64.Build.0 = Release|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|x86.ActiveCfg = Release|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|x86.Build.0 = Release|x86
+		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Release|Any CPU.Build.0 = Release|Any CPU
+		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Release|x64.ActiveCfg = Release|Any CPU
+		{F42F3576-7233-4B28-90F7-36AE15F30F92}.Release|x86.ActiveCfg = Release|Any CPU
+		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Release|Any CPU.Build.0 = Release|Any CPU
+		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Release|x64.ActiveCfg = Release|Any CPU
+		{35A42EE0-A896-4D7A-A99F-8ED9E925F320}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /trunk/sources/HeuristicLab 3.3/Files.txt
===================================================================
--- /trunk/sources/HeuristicLab 3.3/Files.txt	(revision 2887)
+++ /trunk/sources/HeuristicLab 3.3/Files.txt	(revision 2888)
@@ -4,48 +4,48 @@
 HeuristicLab.PluginInfrastructure:ICSharpCode.SharpZipLib.dll
 HeuristicLab.PluginInfrastructure:ICSharpCode.SharpZipLib License.txt
-HeuristicLab.Charting\3.3:HeuristicLab.Charting-3.3.dll 
-HeuristicLab.Charting.Data\3.3:HeuristicLab.Charting.Data-3.3.dll 
+HeuristicLab.Algorithms.SGA\3.3:HeuristicLab.Algorithms.SGA-3.3.dll
+HeuristicLab.Algorithms.SGA.Views\3.3:HeuristicLab.Algorithms.SGA.Views-3.3.dll
+HeuristicLab.Charting\3.3:HeuristicLab.Charting-3.3.dll
+HeuristicLab.Charting.Data\3.3:HeuristicLab.Charting.Data-3.3.dll
 HeuristicLab.CodeEditor\3.2:HeuristicLab.CodeEditor-3.2.dll
-HeuristicLab.Collections\3.3:HeuristicLab.Collections-3.3.dll 
-HeuristicLab.Common\3.2:HeuristicLab.Common-3.2.dll  
-HeuristicLab.Common.Resources\3.2:HeuristicLab.Common.Resources-3.2.dll 
-HeuristicLab.Core\3.3:HeuristicLab.Core-3.3.dll 
-HeuristicLab.Core.Views\3.3:HeuristicLab.Core.Views-3.3.dll 
-HeuristicLab.Data\3.3:HeuristicLab.Data-3.3.dll 
-HeuristicLab.Data.Views\3.3:HeuristicLab.Data.Views-3.3.dll 
-HeuristicLab.Evolutionary\3.3:HeuristicLab.Evolutionary-3.3.dll 
-HeuristicLab.Logging\3.3:HeuristicLab.Logging-3.3.dll 
-HeuristicLab.MainForm\3.2:HeuristicLab.MainForm-3.2.dll 
-HeuristicLab.MainForm.Test\3.2:HeuristicLab.MainForm.Test-3.2.dll 
-HeuristicLab.MainForm.WindowsForms\3.2:HeuristicLab.MainForm.WindowsForms-3.2.dll 
-HeuristicLab.Operators\3.3:HeuristicLab.Operators-3.3.dll 
-HeuristicLab.Operators.Views\3.3:HeuristicLab.Operators.Views-3.3.dll 
-HeuristicLab.Operators.Views.GraphVisualization\3.3:HeuristicLab.Operators.Views.GraphVisualization-3.3.dll 
-HeuristicLab.Operators.Programmable\3.3:HeuristicLab.Operators.Programmable-3.3.dll 
-HeuristicLab.Optimization\3.3:HeuristicLab.Optimization-3.3.dll 
-HeuristicLab.Optimization.Views\3.3:HeuristicLab.Optimization.Views-3.3.dll 
-HeuristicLab.Optimizer\3.3:HeuristicLab.Optimizer-3.3.dll 
-HeuristicLab.Parameters\3.3:HeuristicLab.Parameters-3.3.dll 
-HeuristicLab.Parameters.Views\3.3:HeuristicLab.Parameters.Views-3.3.dll 
-HeuristicLab.Permutation\3.3:HeuristicLab.Permutation-3.3.dll 
-HeuristicLab.Persistence\3.3:HeuristicLab.Persistence-3.3.dll 
-HeuristicLab.Persistence.GUI\3.3:HeuristicLab.Persistence.GUI-3.3.dll 
-HeuristicLab.Random\3.3:HeuristicLab.Random-3.3.dll 
-HeuristicLab.Problems.TSP\3.3:HeuristicLab.Problems.TSP-3.3.dll 
-HeuristicLab.Problems.TSP.Views\3.3:HeuristicLab.Problems.TSP.Views-3.3.dll 
-HeuristicLab.Selection\3.3:HeuristicLab.Selection-3.3.dll 
-HeuristicLab.Selection.OffspringSelection\3.3:HeuristicLab.Selection.OffspringSelection-3.3.dll 
-HeuristicLab.SequentialEngine\3.3:HeuristicLab.SequentialEngine-3.3.dll 
-HeuristicLab.SGA\3.3:HeuristicLab.SGA-3.3.dll 
-HeuristicLab.SGA.Views\3.3:HeuristicLab.SGA.Views-3.3.dll 
-HeuristicLab.TestFunctions\3.3:HeuristicLab.TestFunctions-3.3.dll 
-HeuristicLab.ThreadParallelEngine\3.3:HeuristicLab.ThreadParallelEngine-3.3.dll 
-HeuristicLab.Tracing\3.2:HeuristicLab.Tracing-3.2.dll 
-HeuristicLab.Tracing\3.2:HeuristicLab.log4net.xml 
+HeuristicLab.Collections\3.3:HeuristicLab.Collections-3.3.dll
+HeuristicLab.Common\3.2:HeuristicLab.Common-3.2.dll
+HeuristicLab.Common.Resources\3.2:HeuristicLab.Common.Resources-3.2.dll
+HeuristicLab.Core\3.3:HeuristicLab.Core-3.3.dll
+HeuristicLab.Core.Views\3.3:HeuristicLab.Core.Views-3.3.dll
+HeuristicLab.Data\3.3:HeuristicLab.Data-3.3.dll
+HeuristicLab.Data.Views\3.3:HeuristicLab.Data.Views-3.3.dll
+HeuristicLab.Evolutionary\3.3:HeuristicLab.Evolutionary-3.3.dll
+HeuristicLab.Logging\3.3:HeuristicLab.Logging-3.3.dll
+HeuristicLab.MainForm\3.2:HeuristicLab.MainForm-3.2.dll
+HeuristicLab.MainForm.Test\3.2:HeuristicLab.MainForm.Test-3.2.dll
+HeuristicLab.MainForm.WindowsForms\3.2:HeuristicLab.MainForm.WindowsForms-3.2.dll
+HeuristicLab.Operators\3.3:HeuristicLab.Operators-3.3.dll
+HeuristicLab.Operators.Views\3.3:HeuristicLab.Operators.Views-3.3.dll
+HeuristicLab.Operators.Views.GraphVisualization\3.3:HeuristicLab.Operators.Views.GraphVisualization-3.3.dll
+HeuristicLab.Operators.Programmable\3.3:HeuristicLab.Operators.Programmable-3.3.dll
+HeuristicLab.Optimization\3.3:HeuristicLab.Optimization-3.3.dll
+HeuristicLab.Optimization.Views\3.3:HeuristicLab.Optimization.Views-3.3.dll
+HeuristicLab.Optimizer\3.3:HeuristicLab.Optimizer-3.3.dll
+HeuristicLab.Parameters\3.3:HeuristicLab.Parameters-3.3.dll
+HeuristicLab.Parameters.Views\3.3:HeuristicLab.Parameters.Views-3.3.dll
+HeuristicLab.Permutation\3.3:HeuristicLab.Permutation-3.3.dll
+HeuristicLab.Persistence\3.3:HeuristicLab.Persistence-3.3.dll
+HeuristicLab.Persistence.GUI\3.3:HeuristicLab.Persistence.GUI-3.3.dll
+HeuristicLab.Problems.TSP\3.3:HeuristicLab.Problems.TSP-3.3.dll
+HeuristicLab.Problems.TSP.Views\3.3:HeuristicLab.Problems.TSP.Views-3.3.dll
+HeuristicLab.Random\3.3:HeuristicLab.Random-3.3.dll
+HeuristicLab.Selection\3.3:HeuristicLab.Selection-3.3.dll
+HeuristicLab.Selection.OffspringSelection\3.3:HeuristicLab.Selection.OffspringSelection-3.3.dll
+HeuristicLab.SequentialEngine\3.3:HeuristicLab.SequentialEngine-3.3.dll
+HeuristicLab.TestFunctions\3.3:HeuristicLab.TestFunctions-3.3.dll
+HeuristicLab.ThreadParallelEngine\3.3:HeuristicLab.ThreadParallelEngine-3.3.dll
+HeuristicLab.Tracing\3.2:HeuristicLab.Tracing-3.2.dll
+HeuristicLab.Tracing\3.2:HeuristicLab.log4net.xml
 
 ;External Libraries
 HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0:HeuristicLab.log4net-1.2.10.0.dll
-HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0:log4net.dll 
-HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0:log4net License.txt 
+HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0:log4net.dll
+HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0:log4net License.txt
 
 HeuristicLab.ExtLibs\HeuristicLab.Netron\3.0.2672.12446\Netron.Diagramming.Core-3.0.2672.12446:Netron.Diagramming.Core-3.0.2672.12446.dll
Index: /trunk/sources/HeuristicLab.Problems.TSP.Views/3.3/HeuristicLab.Problems.TSP.Views-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TSP.Views/3.3/HeuristicLab.Problems.TSP.Views-3.3.csproj	(revision 2887)
+++ /trunk/sources/HeuristicLab.Problems.TSP.Views/3.3/HeuristicLab.Problems.TSP.Views-3.3.csproj	(revision 2888)
@@ -100,5 +100,5 @@
     <ProjectReference Include="..\..\HeuristicLab.Problems.TSP\3.3\HeuristicLab.Problems.TSP-3.3.csproj">
       <Project>{600287A3-8714-453E-B875-A05F3EB72315}</Project>
-      <Name>HeuristicLab.Routing.TSP-3.3</Name>
+      <Name>HeuristicLab.Problems.TSP-3.3</Name>
     </ProjectReference>
   </ItemGroup>
Index: /trunk/sources/HeuristicLab.Problems.TSP.Views/3.3/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TSP.Views/3.3/Properties/AssemblyInfo.frame	(revision 2887)
+++ /trunk/sources/HeuristicLab.Problems.TSP.Views/3.3/Properties/AssemblyInfo.frame	(revision 2888)
@@ -26,5 +26,5 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Routing.TSP.Views")]
+[assembly: AssemblyTitle("HeuristicLab.Problems.TSP.Views")]
 [assembly: AssemblyDescription("Views of the HeuristicLab Traveling Salesman Problem classes")]
 [assembly: AssemblyConfiguration("")]