Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/GraphVisualizationInfoView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/GraphVisualizationInfoView.cs	(revision 2898)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/GraphVisualizationInfoView.cs	(revision 2899)
@@ -328,6 +328,5 @@
     }
 
-    #region methods for toolbar items
-    internal void RelayoutOperatorGraph() {
+    internal void RelayoutGraph() {
       if (this.shapeInfoShapeMapping.Count > 0
         && this.connectionConnectorsMapping.Count > 0
@@ -338,29 +337,4 @@
       }
     }
-
-    internal void ActivateConnectionTool() {
-      this.graphVisualization.Controller.ActivateTool(ControllerBase.ConnectionToolName);
-    }
-
-    internal void ActivateZoomAreaTool() {
-      this.graphVisualization.Controller.ActivateTool(ControllerBase.ZoomAreaToolName);
-    }
-
-    internal void ActivateZoomInTool() {
-      this.graphVisualization.Controller.ActivateTool(ControllerBase.ZoomInToolName);
-    }
-
-    internal void ActivateZoomOutTool() {
-      this.graphVisualization.Controller.ActivateTool(ControllerBase.ZoomOutToolName);
-    }
-
-    internal void ActivatePanTool() {
-      this.graphVisualization.Controller.ActivateTool(ControllerBase.PanToolName);
-    }
-
-    internal void ActivateSelectTool() {
-      this.graphVisualization.Controller.ActivateTool(ControllerBase.SelectionToolName);
-    }
-    #endregion
   }
 }
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/HeuristicLab.Operators.Views.GraphVisualization-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/HeuristicLab.Operators.Views.GraphVisualization-3.3.csproj	(revision 2898)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/HeuristicLab.Operators.Views.GraphVisualization-3.3.csproj	(revision 2899)
@@ -110,12 +110,4 @@
     </Compile>
     <Compile Include="Model\ShapeInfoFactory.cs" />
-    <Compile Include="ToolBarItems\ConnectionToolBarItem.cs" />
-    <Compile Include="ToolBarItems\SelectToolBarItem.cs" />
-    <Compile Include="ToolBarItems\PanToolBarItem.cs" />
-    <Compile Include="ToolBarItems\ZoomOutToolBarItem.cs" />
-    <Compile Include="ToolBarItems\ZoomInToolBarItem.cs" />
-    <Compile Include="ToolBarItems\ZoomToolBarItem.cs" />
-    <Compile Include="ToolBarItems\ToolBarItemSeparator.cs" />
-    <Compile Include="ToolBarItems\RelayoutToolBarItem.cs" />
   </ItemGroup>
   <ItemGroup>
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphView.Designer.cs	(revision 2898)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphView.Designer.cs	(revision 2899)
@@ -33,5 +33,11 @@
       this.detailsGroupBox = new System.Windows.Forms.GroupBox();
       this.detailsViewHost = new HeuristicLab.Core.Views.ViewHost();
-      this.connectorToolTip = new System.Windows.Forms.ToolTip(this.components);
+      this.selectButton = new System.Windows.Forms.Button();
+      this.panButton = new System.Windows.Forms.Button();
+      this.connectButton = new System.Windows.Forms.Button();
+      this.relayoutButton = new System.Windows.Forms.Button();
+      this.zoomAreaButton = new System.Windows.Forms.Button();
+      this.zoomInButton = new System.Windows.Forms.Button();
+      this.zoomOutButton = new System.Windows.Forms.Button();
       this.shapeContextMenu.SuspendLayout();
       this.splitContainer.Panel1.SuspendLayout();
@@ -43,10 +49,12 @@
       // graphVisualizationInfoView
       // 
+      this.graphVisualizationInfoView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.graphVisualizationInfoView.Caption = null;
       this.graphVisualizationInfoView.Content = null;
-      this.graphVisualizationInfoView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.graphVisualizationInfoView.Location = new System.Drawing.Point(0, 0);
+      this.graphVisualizationInfoView.Location = new System.Drawing.Point(0, 27);
       this.graphVisualizationInfoView.Name = "graphVisualizationInfoView";
-      this.graphVisualizationInfoView.Size = new System.Drawing.Size(665, 279);
+      this.graphVisualizationInfoView.Size = new System.Drawing.Size(665, 251);
       this.graphVisualizationInfoView.TabIndex = 0;
       // 
@@ -91,4 +99,11 @@
       // splitContainer.Panel1
       // 
+      this.splitContainer.Panel1.Controls.Add(this.zoomOutButton);
+      this.splitContainer.Panel1.Controls.Add(this.zoomInButton);
+      this.splitContainer.Panel1.Controls.Add(this.zoomAreaButton);
+      this.splitContainer.Panel1.Controls.Add(this.relayoutButton);
+      this.splitContainer.Panel1.Controls.Add(this.connectButton);
+      this.splitContainer.Panel1.Controls.Add(this.panButton);
+      this.splitContainer.Panel1.Controls.Add(this.selectButton);
       this.splitContainer.Panel1.Controls.Add(this.graphVisualizationInfoView);
       // 
@@ -121,7 +136,73 @@
       this.detailsViewHost.ViewType = null;
       // 
-      // connectorToolTip
-      // 
-      this.connectorToolTip.IsBalloon = true;
+      // selectButton
+      // 
+      this.selectButton.Image = HeuristicLab.Common.Resources.Resources.FlagGreenIcon;
+      this.selectButton.Location = new System.Drawing.Point(3, 3);
+      this.selectButton.Name = "selectButton";
+      this.selectButton.Size = new System.Drawing.Size(24, 24);
+      this.selectButton.TabIndex = 1;
+      this.selectButton.UseVisualStyleBackColor = true;
+      this.selectButton.Click += new System.EventHandler(selectButton_Click);
+      // 
+      // panButton
+      // 
+      this.panButton.Image = HeuristicLab.Common.Resources.Resources.FlagRedIcon;
+      this.panButton.Location = new System.Drawing.Point(33, 3);
+      this.panButton.Name = "panButton";
+      this.panButton.Size = new System.Drawing.Size(24, 24);
+      this.panButton.TabIndex = 2;
+      this.panButton.UseVisualStyleBackColor = true;
+      this.panButton.Click += new System.EventHandler(panButton_Click);
+      // 
+      // connectButton
+      // 
+      this.connectButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Interface;
+      this.connectButton.Location = new System.Drawing.Point(63, 3);
+      this.connectButton.Name = "connectButton";
+      this.connectButton.Size = new System.Drawing.Size(24, 24);
+      this.connectButton.TabIndex = 3;
+      this.connectButton.UseVisualStyleBackColor = true;
+      this.connectButton.Click += new System.EventHandler(connectButton_Click);
+      // 
+      // relayoutButton
+      // 
+      this.relayoutButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.RefreshDocument;
+      this.relayoutButton.Location = new System.Drawing.Point(123, 3);
+      this.relayoutButton.Name = "relayoutButton";
+      this.relayoutButton.Size = new System.Drawing.Size(24, 24);
+      this.relayoutButton.TabIndex = 4;
+      this.relayoutButton.UseVisualStyleBackColor = true;
+      this.relayoutButton.Click += new System.EventHandler(relayoutButton_Click);
+      // 
+      // zoomAreaButton
+      // 
+      this.zoomAreaButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Zoom;
+      this.zoomAreaButton.Location = new System.Drawing.Point(153, 3);
+      this.zoomAreaButton.Name = "zoomAreaButton";
+      this.zoomAreaButton.Size = new System.Drawing.Size(24, 24);
+      this.zoomAreaButton.TabIndex = 5;
+      this.zoomAreaButton.UseVisualStyleBackColor = true;
+      this.zoomAreaButton.Click += new System.EventHandler(zoomAreaButton_Click);
+      // 
+      // zoomInButton
+      // 
+      this.zoomInButton.Image = HeuristicLab.Common.Resources.Resources.ShowLargeIcons;
+      this.zoomInButton.Location = new System.Drawing.Point(183, 3);
+      this.zoomInButton.Name = "zoomInButton";
+      this.zoomInButton.Size = new System.Drawing.Size(24, 24);
+      this.zoomInButton.TabIndex = 6;
+      this.zoomInButton.UseVisualStyleBackColor = true;
+      this.zoomInButton.Click += new System.EventHandler(zoomInButton_Click);
+      // 
+      // zoomOutButton
+      // 
+      this.zoomOutButton.Image = HeuristicLab.Common.Resources.Resources.ShowSmallIcons;
+      this.zoomOutButton.Location = new System.Drawing.Point(213, 3);
+      this.zoomOutButton.Name = "zoomOutButton";
+      this.zoomOutButton.Size = new System.Drawing.Size(24, 24);
+      this.zoomOutButton.TabIndex = 7;
+      this.zoomOutButton.UseVisualStyleBackColor = true;
+      this.zoomOutButton.Click += new System.EventHandler(zoomOutButton_Click);
       // 
       // OperatorGraphView
@@ -153,5 +234,11 @@
     private System.Windows.Forms.GroupBox detailsGroupBox;
     private HeuristicLab.Core.Views.ViewHost detailsViewHost;
-    private System.Windows.Forms.ToolTip connectorToolTip;
+    private System.Windows.Forms.Button selectButton;
+    private System.Windows.Forms.Button zoomOutButton;
+    private System.Windows.Forms.Button zoomInButton;
+    private System.Windows.Forms.Button zoomAreaButton;
+    private System.Windows.Forms.Button relayoutButton;
+    private System.Windows.Forms.Button connectButton;
+    private System.Windows.Forms.Button panButton;
   }
 }
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphView.cs	(revision 2898)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphView.cs	(revision 2899)
@@ -66,5 +66,5 @@
       this.graphVisualizationInfoView.Content = this.VisualizationInfo;
       if (createdVisualizationInfo)
-        this.graphVisualizationInfoView.RelayoutOperatorGraph();
+        this.graphVisualizationInfoView.RelayoutGraph();
     }
 
@@ -158,34 +158,4 @@
     #endregion
 
-    #region methods for toolbar items
-    internal void RelayoutOperatorGraph() {
-      this.graphVisualizationInfoView.RelayoutOperatorGraph();
-    }
-
-    internal void ActivateConnectionTool() {
-      this.graphVisualizationInfoView.ActivateConnectionTool();
-    }
-
-    internal void ActivateZoomAreaTool() {
-      this.graphVisualizationInfoView.ActivateZoomAreaTool();
-    }
-
-    internal void ActivateZoomInTool() {
-      this.graphVisualizationInfoView.ActivateZoomInTool();
-    }
-
-    internal void ActivateZoomOutTool() {
-      this.graphVisualizationInfoView.ActivateZoomOutTool();
-    }
-
-    internal void ActivatePanTool() {
-      this.graphVisualizationInfoView.ActivatePanTool();
-    }
-
-    internal void ActivateSelectTool() {
-      this.graphVisualizationInfoView.ActivateSelectTool();
-    }
-    #endregion
-
     #region drag and drop
     private void OperatorGraphView_DragEnter(object sender, DragEventArgs e) {
@@ -212,4 +182,37 @@
 
     #endregion
+
+    private void selectButton_Click(object sender, EventArgs e) {
+      ITool tool = this.graphVisualizationInfoView.Controller.Tools.Where(t => t.Name == ControllerBase.SelectionToolName).First();
+      tool.IsSuspended = false;
+      tool = this.graphVisualizationInfoView.Controller.Tools.Where(t => t.Name == ControllerBase.PanToolName).First();
+      this.graphVisualizationInfoView.Controller.DeactivateTool(tool);
+    }
+
+    private void panButton_Click(object sender, EventArgs e) {
+      ITool tool = this.graphVisualizationInfoView.Controller.Tools.Where(t => t.Name == ControllerBase.SelectionToolName).First();
+      tool.IsSuspended = true;
+      this.graphVisualizationInfoView.Controller.ActivateTool(ControllerBase.PanToolName);
+    }
+
+    private void connectButton_Click(object sender, EventArgs e) {
+      this.graphVisualizationInfoView.Controller.ActivateTool(ControllerBase.ConnectionToolName);
+    }
+
+    private void relayoutButton_Click(object sender, EventArgs e) {
+      this.graphVisualizationInfoView.RelayoutGraph();
+    }
+
+    private void zoomAreaButton_Click(object sender, EventArgs e) {
+      this.graphVisualizationInfoView.Controller.ActivateTool(ControllerBase.ZoomAreaToolName);
+    }
+
+    private void zoomInButton_Click(object sender, EventArgs e) {
+      this.graphVisualizationInfoView.Controller.ActivateTool(ControllerBase.ZoomInToolName);
+    }
+
+    private void zoomOutButton_Click(object sender, EventArgs e) {
+      this.graphVisualizationInfoView.Controller.ActivateTool(ControllerBase.ZoomOutToolName);
+    }
   }
 }